WordPress.org

Make WordPress Core

Changeset 5294


Ignore:
Timestamp:
04/22/2007 11:27:40 PM (11 years ago)
Author:
rob1n
Message:

Widgets support. fixes #4169 for 2.2

Location:
branches/2.2
Files:
5 added
2 edited

Legend:

Unmodified
Added
Removed
  • branches/2.2/wp-admin/menu.php

    r4990 r5294  
    6868
    6969$submenu['themes.php'][5] = array(__('Themes'), 'switch_themes', 'themes.php');
     70$submenu['themes.php'][7] = array( __( 'Widgets' ), 'edit_themes', 'widgets.php' );
    7071$submenu['themes.php'][10] = array(__('Theme Editor'), 'edit_themes', 'theme-editor.php');
    7172
  • branches/2.2/wp-settings.php

    r4993 r5294  
    169169require (ABSPATH . WPINC . '/deprecated.php');
    170170require (ABSPATH . WPINC . '/script-loader.php');
     171require (ABSPATH . WPINC . '/widgets.php');
    171172
    172173if (strpos($_SERVER['PHP_SELF'], 'install.php') === false) {
     
    261262register_shutdown_function('shutdown_action_hook');
    262263
     264// widgets_init() BEFORE init, so plugins that launch on init can
     265// do stuff with default widgets
     266wp_widgets_init();
     267
    263268// Everything is loaded and initialized.
    264269do_action('init');
Note: See TracChangeset for help on using the changeset viewer.